For the complete documentation index, see llms.txt. This page is also available as Markdown.

Template

Templates

Template Search

get

Search templates this user has access to

Query parameters
embedstringOptional

Embed related data such as regions, playlists, widgets, tags, campaigns, permissions

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/template
GET /api/template HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "layoutId": 1,
    "ownerId": 1,
    "campaignId": 1,
    "parentId": 1,
    "publishedStatusId": 1,
    "publishedStatus": "text",
    "publishedDate": "text",
    "backgroundImageId": 1,
    "schemaVersion": 1,
    "layout": "text",
    "description": "text",
    "backgroundColor": "text",
    "createdDt": "text",
    "modifiedDt": "text",
    "status": 1,
    "retired": 1,
    "backgroundzIndex": 1,
    "width": 1,
    "height": 1,
    "orientation": "text",
    "displayOrder": 1,
    "duration": 1,
    "statusMessage": "text",
    "enableStat": 1,
    "autoApplyTransitions": 1,
    "code": "text",
    "isLocked": true,
    "regions": [
      {
        "regionId": 1,
        "layoutId": 1,
        "ownerId": 1,
        "type": "text",
        "name": "text",
        "width": 1,
        "height": 1,
        "top": 1,
        "left": 1,
        "zIndex": 1,
        "syncKey": "text",
        "regionOptions": [
          {
            "regionId": 1,
            "option": "text",
            "value": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "duration": 1,
        "isDrawer": 1,
        "regionPlaylist": {
          "playlistId": 1,
          "ownerId": 1,
          "name": "text",
          "regionId": 1,
          "isDynamic": 1,
          "filterMediaName": "text",
          "filterMediaNameLogicalOperator": "text",
          "filterMediaTags": "text",
          "filterExactTags": 1,
          "filterMediaTagsLogicalOperator": "text",
          "filterFolderId": 1,
          "maxNumberOfItems": 1,
          "createdDt": "text",
          "modifiedDt": "text",
          "duration": 1,
          "requiresDurationUpdate": 1,
          "enableStat": "text",
          "tags": [
            {
              "tag": "text",
              "tagId": 1,
              "value": "text"
            }
          ],
          "widgets": [
            {
              "widgetId": 1,
              "playlistId": 1,
              "ownerId": 1,
              "type": "text",
              "duration": 1,
              "displayOrder": 1,
              "useDuration": 1,
              "calculatedDuration": 1,
              "createdDt": "text",
              "modifiedDt": "text",
              "fromDt": 1,
              "toDt": 1,
              "schemaVersion": 1,
              "transitionIn": 1,
              "transitionOut": 1,
              "transitionDurationIn": 1,
              "transitionDurationOut": 1,
              "widgetOptions": [
                {
                  "widgetId": 1,
                  "type": "text",
                  "option": "text",
                  "value": "text"
                }
              ],
              "mediaIds": [
                1
              ],
              "audio": [
                {
                  "widgetId": 1,
                  "mediaId": 1,
                  "volume": 1,
                  "loop": 1
                }
              ],
              "permissions": [
                {
                  "permissionId": 1,
                  "entityId": 1,
                  "groupId": 1,
                  "objectId": 1,
                  "isUser": 1,
                  "entity": "text",
                  "objectIdString": "text",
                  "group": "text",
                  "view": 1,
                  "edit": 1,
                  "delete": 1,
                  "modifyPermissions": 1
                }
              ],
              "playlist": "text"
            }
          ],
          "permissions": [
            {
              "permissionId": 1,
              "entityId": 1,
              "groupId": 1,
              "objectId": 1,
              "isUser": 1,
              "entity": "text",
              "objectIdString": "text",
              "group": "text",
              "view": 1,
              "edit": 1,
              "delete": 1,
              "modifyPermissions": 1
            }
          ],
          "folderId": 1,
          "permissionsFolderId": 1
        }
      }
    ],
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "folderId": 1,
    "permissionsFolderId": 1
  }
]

Add a Template

post

Add a new Template to the CMS

Body
namestringRequired

The layout name

descriptionstringOptional

The layout description

resolutionIdintegerOptional

If a Template is not provided, provide the resolutionId for this Layout.

returnDraftbooleanOptional

Should we return the Draft Layout or the Published Layout on Success?

Responses
201

successful operation

application/json
post/template
POST /api/template HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 72

"name='text'&description='text'&resolutionId=1&returnDraft=true"
201

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Template Search by ID

get

Get the Template object specified by the provided templateId

Path parameters
templateIdintegerRequired

Numeric ID of the Template to get

Query parameters
embedstringOptional

Embed related data such as regions, playlists, widgets, tags, campaigns, permissions

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

get/template/{templateId}
GET /api/template/{templateId} HTTP/1.1
Accept: */*
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}
get

Search all templates from local and connectors

Responses
200

successful operation

application/json
titleanyOptional
descriptionanyOptional
thumbnailanyOptional
sourceanyOptional
typeanyOptional
idanyOptional
downloadanyOptional
fileSizeanyOptional
widthanyOptional
heightanyOptional
orientationanyOptional
durationanyOptional
videoThumbnailUrlanyOptional
tagsstring[]Optional
isFeaturedanyOptional
get/template/search
GET /api/template/search HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "title": null,
    "description": null,
    "thumbnail": null,
    "source": null,
    "type": null,
    "id": null,
    "download": null,
    "fileSize": null,
    "width": null,
    "height": null,
    "orientation": null,
    "duration": null,
    "videoThumbnailUrl": null,
    "tags": [
      "text"
    ],
    "isFeatured": null
  }
]

Add a template from a Layout

post

Use the provided layout as a base for a new template

Path parameters
layoutIdintegerRequired

The Layout ID

Body
includeWidgetsintegerRequired

Flag indicating whether to include the widgets in the Template

namestringRequired

The Template Name

tagsstringOptional

Comma separated list of Tags for the template

descriptionstringOptional

A description of the Template

Responses
201

successful operation

application/json
post/template/{layoutId}
POST /api/template/{layoutId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 69

"includeWidgets=1&name='text'&tags='text'&description='text'"
201

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Last updated

Was this helpful?